COMMAND(1)

NAME
rdp_classifier - taxonomic assignment from next generation sequencing

USAGE:
rdp_classifier [-f <arg>] [-g <arg>] [-o <arg>] [-q <arg>] [-t <arg>] [-w <arg>]

DESCRIPTION
The RDP Classifier is a nave Bayesian classifier that can rapidly and accurately provides taxonomic assignments from domain to genus, with confidence estimates for each assignment.

-f,--format <arg>
    all tab delimited output format: [allrank|fixrank|db]. Default is allrank. allrank: outputs the results for all ranks applied for each sequence: seqname, orientation, taxon name, rank, conf, ... fixrank: only outputs the results for fixed ranks in order: domain, phylum, class, order, family, genus db: outputs the seqname, trainset_no, tax_id, conf. This is good for storing in a database

-g,--gene <arg>
    16srrna|fungallsu, the default training model for 16S rRNA or Fungal LSU genes. This option will be overwritten by --train_propfile option

-o,--outputFile <arg>
    output file name for classification assignment

-q,--queryFile <arg>
    query file contains sequences in one of the following formats: Fasta, Genbank and EMBL

-t,--train_propfile <arg>
    specify a property file contains the mapping of the training files if it's located outside of data/classifier/. Note: the training files and the property file should be in the same directory. The default property file is set to data/classifier/16srrna/rRNAClassifier.properties.

-w,--minWords <arg>
    minimum number of words for each bootstrap trial, Default is 1/8 of the words. Minimum is 5

AUTHOR
This manual page was generated using help2man and polished by Andreas Tille <tille@debian.org>, for the Debian project (but may be used by others).